/*
 * util.h - Helper functions
 *
 * Written 2002 by Werner Almesberger
 */


#ifndef UTIL_H
#define UTIL_H

/* common.c */

void dump_ici(int s,const char *ici_file,int stdout_fd);
int accept_connection(int port);
int resurrect_connection(const char *file);


/* fileio.c */

void *read_file(int fd,int *size);
void write_file(int fd,void *buf,int size);

/* shmod.c */

extern int shmod_forced_tty; /* declare fd as tty, no matter what stat says */
extern int shmod_catch_signals; /* set to 0 to avoid signal handlers */

int sh_mod(int argc,char **argv);
void shmod_add_command(const char *name,int (*fn)(char **argv));

#endif /* UTIL_H */
