/*
 * tcpcp.h - TCP connection passing high-level API
 *
 * Written 2002 by Werner Almesberger
 * Distributed under the LGPL.
 */


#ifndef TCPCP_H
#define TCPCP_H

void *tcpcp_get(int s);
int tcpcp_size(const void *ici);
int tcpcp_create(const void *ici);

int tcpcp_set_cong(void *ici,int cong_mode);

enum {
    TCPCP_CONG_DEFAULT = 0,	/* default mode; no privileges required */
    TCPCP_CONG_NEW,		/* slow start; may require CAP_NET_RAW */
    TCPCP_CONG_KEEP,		/* use data in ICI; will require CAP_NET_RAW */
};

#endif /* TCPIP_H */
